Problèmes et questions concernant le noyau et le support matériel.
Répondre

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#1Messageil y a 1 an

Bonjour
Après pas mal d'années sur Ubuntu & Mint, je teste Manjaro (bureau Mate), notamment pour éviter les réinstallations ou les mises à niveaux pas toujours couronnées de succès... J'adore la convivialité pour installer non seulement le système mais aussi les différents logiciels. J'arrive à la configuration de mon imprimante réseau (Xerox WorkCentre 6015N) et là, le rêve s'écroule : alors que sous ubuntu elle est reconnue immédiatement, ici, impossible de trouver les pilotes malgré l'activation de tous les dépôts. Je repique le .ppd que j'avais sous ubuntu, l'imprimante fait mine de s'installer mais refuse d'imprimer. Les paramètres s'affichent bien, y compris le niveau de toner. Ça fait 2 jours que je cherche sans trouver la solution. J'ai aussi essayé en branchement direct en usb, même résultat.
J'ai sans doute raté quelque chose ? Y a-t-il un "pas à pas" ? Merci de votre aide, j'aimerais bien migrer vers Manjaro, mais sans imprimante, pas possible !
À vous lire
Dernière modification par micmarluc le 11 Oct 2018, 19:42, modifié 3 fois.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#2Messageil y a 1 an

Bonjour
Personne n'as encore construit de paquet compatible Archlinux pour cette imprimante. Il y a un paquet approchant, essaye-le, on ne sait jamais.

yaourt -S xerox-workcentre-5945-5955
Sans garanti, au pire tu le vire. Sinon, il faudra composer un PKGBUILD avec le pilote qui va bien.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#3Messageil y a 1 an

Merci lemust83 pour cette réponse rapide, j'essaye ça demain, là il est trop tard, l'imprimante va réveiller tout le monde !
Après, un PKGBUILD, c'est trop fort pour moi !

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#4Messageil y a 1 an

Donne nous déjà le lien vers le pilote en .deb, histoire de nous éviter des recherches, on verra si on peut faire quelque-chose....

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#5Messageil y a 1 an

Bonjour à tous
1/ J'ai essayé la commande yaourt -S xerox-workcentre-5945-5955, sans succès : la commande yaourt est "introuvable" (j'ai lu ailleurs que yaourt devait disparaître, apparemment c'est déjà fait chez moi). Néanmoins, j'ai réussi à trouver les dépôts AUR où j'ai trouvé puis installé xerox-workcentre-5945-5955. Malheureusement, ce pilote ne marche pas avec mon imprimante, pas plus que tous les pilotes xerox que j'ai trouvés.
2/ On peut trouver le pilote "foo2hpbl2", celui qui fonctionne sur ubuntu, ici : http://foo2zjs.rkkda.com/foo2zjs.tar.gz, lien trouvé sur cette page : foo2hbpl.rkkda.com.
Bizarrement, quand j'ai voulu l'installer, la commande "make" m'a retourné "commande introuvable".
3/ Sur le site de xerox, il y a encore ce paquet .deb mais c'est pour du 32 bits, ça date de 2011... http://www.support.xerox.com/support/wo ... ived=false

À suivre (j'espère) et merci pour vos recherches.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#6Messageil y a 1 an

bonjour,

pour aur, on utilise pamac,yaourt, pacaur (yaourt n'est nullement en fin de vie!)
Ton paquet donné en lien existe sur aur : foo2zjs-nightly mais version marquée périmée (Error in prepare.) :saispas:

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#7Messageil y a 1 an

J'ai pu compiler le paquet indniqué par papajpke, mais vu que je n'ai pas la machine, je ne peux le tester.
Il te faut avant tout avoir les outils de développement pour pouvoir compiler.

sudo pacman -S yaourt base-devel git
Ensuite tu devrais pouvoir le compiler comme ceci.

git clone https://aur.archlinux.org/foo2zjs-nightly.git
cd foo2zjs-nightly/
makepkg -si
Sans garantie mais le paquet s'est construit:

$ git clone https://aur.archlinux.org/foo2zjs-nightly.git
Clonage dans 'foo2zjs-nightly'...
remote: Counting objects: 175, done.
remote: Compressing objects: 100% (68/68), done.
remote: Total 175 (delta 110), reused 170 (delta 107)
Réception d'objets: 100% (175/175), 52.62 KiB | 816.00 KiB/s, fait.
Résolution des deltas: 100% (110/110), fait.
[steph@steph-pc ~]$ cd foo2zjs-nightly/
[steph@steph-pc foo2zjs-nightly]$ makepkg -s
==> Création du paquet foo2zjs-nightly 20170412-1 (mar. oct. 24 02:30:15 CEST 2017)
==> Vérification des dépendances pour l’exécution...
==> Installation des dépendances manquantes... 
[sudo] Mot de passe de steph : 
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (1) psutils-1.17-5

Taille totale du téléchargement :  0,06 MiB
Taille totale installée :         0,26 MiB

:: Procéder à l’installation ? [O/n] 
:: Récupération des paquets...
 psutils-1.17-5-x86_64     58,5 KiB   518K/s 00:00 [######################] 100%
(1/1) vérification des clés dans le trousseau      [######################] 100%
(1/1) vérification de l’intégrité des paquets      [######################] 100%
(1/1) chargement des fichiers des paquets          [######################] 100%
(1/1) analyse des conflits entre fichiers          [######################] 100%
(1/1) vérification de l’espace disque disponible   [######################] 100%
:: Traitement des changements du paquet...
(1/1) installation de psutils                      [######################] 100%
:: Exécution des crochets de post-transaction...
(1/1) Arming ConditionNeedsUpdate...
==> Vérification des dépendances pour la compilation...
==> Récupération des sources...
  -> Téléchargement de foo2zjs-20170424.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1704k  100 1704k    0     0  1704k      0  0:00:01  0:00:01 --:--:--  890k
  -> 0001-Makefile-DESTDIR-support.patch trouvé
  -> 0002-Makefile-general-fixes.patch trouvé
  -> 0003-Rework-firmware-loading.patch trouvé
  -> 0004-Makefile-fix-generating-.ppd-in-place.patch trouvé
  -> 0005-Makefile-leverage-default-rules-as-much-as-possible-.patch trouvé
==> Validation des fichiers source avec sha256sums...
    foo2zjs-20170424.tar.gz ... Ignoré
    0001-Makefile-DESTDIR-support.patch ... Réussite
    0002-Makefile-general-fixes.patch ... Réussite
    0003-Rework-firmware-loading.patch ... Réussite
    0004-Makefile-fix-generating-.ppd-in-place.patch ... Réussite
    0005-Makefile-leverage-default-rules-as-much-as-possible-.patch ... Réussite
==> Extraction des sources...
  -> Extraction de foo2zjs-20170424.tar.gz avec bsdtar
==> Lancement de prepare()...
patching file Makefile
..................
..................
.................
==> Nettoyage de l’installation...
  -> Suppression des répertoires vides... 
  -> Suppression des fichiers libtool...
  -> Suppression des fichiers indésirables...
  -> Suppression des fichiers de bibliothèques statiques...
  -> Nettoyage des symboles inutiles dans les fichiers binaires et les bibliothèques...
  -> Compression des pages de man/info...
==> Recherche des erreurs d’empaquetage…
==> Création du paquet « foo2zjs-nightly »...
  -> Génération du fichier .PKGINFO...
  -> Génération du fichier .BUILDINFO...
  -> Ajout du fichier install...
  -> Génération du fichier .MTREE...
  -> Compression du paquet... 
==> Quitte l’environnement fakeroot.
==> Création finie : foo2zjs-nightly 20170424-1 (mar. oct. 24 02:32:18 CEST 2017)
Cela dit, il y a aussi un paquet stable foomatic-db dans community, donc installable par pacman.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#8Messageil y a 1 an

Je viens ce matin d'installer foo2zjs-nightly, disponible dans les dépôts AUR, suivant les conseils de papajoke, et là, ça a marché du premier coup... Désolé de t'avoir fait travailler si tard, lemust83, mais je n'avais pas la main sur mon ordi avant ce matin. En tout cas, merci pour les outils de compilation, ça pourra sans doute servir à l'avenir.
Vous êtes super... je vais pouvoir continuer à tester, voire adopter Manjaro, maintenant ça a l'air bien (re)parti !

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#9Messageil y a 9 mois

Bonjour
Voilà que ma multifonctions Xerox WorkCentre 6015N qui, grâce à vous et au paquet AUR "foo2zjs-nightly" a pu fonctionner nickel pendant 10 mois, refuse à présent de fonctionner : à chaque impression, elle sort systématiquement 2 feuilles, une blanche et une avec ce message imprimé :
ERROR :
undefined
OFFENDING COMMAND :
curr
STACK :
/HT
/InitialExtGState
Et ce quel que soit le noyau (testé avec 4.19, 4.18, 4.14 et 4.09)
Si vous avez des lumières, je suis preneur !
Je précise que mon imprimante continue de fonctionner normalement avec une version de Manjaro que j'avais sauvegardée et qui date d'avant les dernières mises à jour (fin août ou tout début septembre)
À bientôt

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#10Messageil y a 9 mois

Bonjour.
Je ne connais pas ton imprimante, mais il y a eu de nombreuses mises à jour de Cups récemment, et j'ai résolu mes soucis en supprimant/réinstallant l'imprimante depuis cette interface avec l’utilisateur root.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#11Messageil y a 9 mois

Bonjour et merci de ta réponse rapide !
Hélas, j'ai bien suivi la procédure avec l'interface web de cups, mais je retombe au même point (message d'erreur qui s'imprime).
J'ai fait pareil avec system-config-printer, même résultat.
Les dernières mises à jour d'aujourd'hui n'ont rien changé.
J'ai essayé avec une live-usb, et le paquet AUR "foo2zjs-nightly" refuse carrément de s'installer...
Sur une autre partition, j'ai réinstallé une Manjaro-Mate toute fraîche, même résultat qu'avec la live-usb.
Pour l'instant, cette imprimante fonctionne sur une ubuntu à jour et sur une linuxmint à jour, mais pour combien de temps ? Et franchement, maintenant que j'ai goûté à Manjaro - depuis 10 mois que je l'utilise quotidiennement -, dur dur s'il fallait laisser tomber cette super distribution !

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#12Messageil y a 8 mois

Bon l'imprimante fonctionne à nouveau après quelques semaines de silence, je pense que son pilote a été intégré au paquet "foomatic-db-nonfree" (ou quelque chose de ce genre), paquet qui a fait partie d'une récente mise à jour. Quant au paquet AUR "foo2zjs-nightly", il est désormais obsolète, en tout cas il n'est plus fonctionnel pour ma machine.
Merci à tous ceux qui œuvrent sans bruit à travers les mises à jour, pour nous faciliter la tâche !
Je mets à nouveau en résolu.

Xerox WorkCentre 6015N refuse à nouveau de fonctionner

#13Messageil y a 7 mois

Bonjour.
Pour pouvoir compiler, il faut le paquet base-devel et idéalement git.
Il y a plusieurs façons de compiler un programme depuis Aur. Yaourt est et reste un bon programme, mais d'autres préféreront yay ou autres emballeurs.
On peut toutefois le faire sans. Il suffit d'aller sur le site de Aur, de copier l'adresse du lien git-clone-url et de faire:

git clone <url-du-paquet.git>
cd <nom_du_paquet/>
makepkg -si
.1) Ça clone le contenu du paquet qui n'est qu'un ensemble scripts.
.2) Ça crée un dossier de travail éponyme et on s'y rend.
.3) On compile le paquet en permettant l'installation de dépendances éventuelles (option s) et on l'installe (avec l'option i).

Répondre